Subject: Re: bug#57556: 28.1; Eshell not finding executables in PATH when tramp-integration loaded

From: Colton Lewis <[email-masked]>
Date: Thu, 22 Sep 2022 12:23:21 -0500

Thank you Michael. I have tested and can confirm your patch solves my problem.

On Sun, Sep 18, 2022 at 2:07 PM Michael Albinus <[email-masked]> wrote:
>
> Jim Porter <[email-masked]> writes:
>
> Hi Jim,
>
> > For what it's worth, I've started on a more-elaborate patch for this
> > that would move all this into Eshell and allow manipulating Eshell's
> > PATH variable on remote hosts too. (Eshell's codebase already has some
> > special handling for Tramp, so I think it would be reasonable for
> > Eshell to handle Tramp integration here, rather than the other way
> > around.)
> >
> > My patch needs a couple preliminary fixes though so it'll probably
> > take a few days at least until I have something ready for people to
> > look at.
>
> Much appreciated! For possible Tramp changes please take into account,
> that Tramp 2.6 should be backward compatible down to Emacs 26.
>
> Best regards, Michael.